Subject: Re: [RFC 00/10] add support for fwnode in i2c mux system and sfp

From: Mark Brown <[email-masked]>
Date: Thu, 24 Feb 2022 15:33:12 +0000

On Thu, Feb 24, 2022 at 03:58:04PM +0100, Hans de Goede wrote:

> As Mark already mentioned the regulator subsystem has shown to
> be a bit problematic here, but you don't seem to need that?

I believe clocks are also potentially problematic for similar reasons
(ACPI wants to handle those as part of the device level power management
and/or should have native abstractions for them, and I think we also
have board file provisions that work well for them and are less error
prone than translating into an abstract data structure).